org.apache.storm.metric

## Class StormMetricsRegistry

- java.lang.Object
- - org.apache.storm.metric.StormMetricsRegistry

-     public class StormMetricsRegistry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StormMetricsRegistry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.codahale.metrics.Meter` | `getMeter(String meterName)`
    `void` | `registerAll(com.codahale.metrics.MetricSet metrics)`
    `<V> com.codahale.metrics.Gauge<V>` | `registerGauge(String name, com.codahale.metrics.Gauge<V> gauge)`
    `com.codahale.metrics.Histogram` | `registerHistogram(String name)`
    `com.codahale.metrics.Histogram` | `registerHistogram(String name, com.codahale.metrics.Reservoir reservoir)`
    `com.codahale.metrics.Meter` | `registerMeter(String name)`
    `com.codahale.metrics.Meter` | `registerMeter(String name, com.codahale.metrics.Meter meter)`
    `com.codahale.metrics.Timer` | `registerTimer(String name)`
    `void` | `removeAll(com.codahale.metrics.MetricSet metrics)`
    `void` | `startMetricsReporters(Map<String,Object> daemonConf)`
    `void` | `stopMetricsReporters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StormMetricsRegistry

          public StormMetricsRegistry()

  - ### Method Detail

    - #### registerMeter

          public com.codahale.metrics.Meter registerMeter(String name)

    - #### registerMeter

          public com.codahale.metrics.Meter registerMeter(String name,
                                                          com.codahale.metrics.Meter meter)

    - #### registerTimer

          public com.codahale.metrics.Timer registerTimer(String name)

    - #### registerHistogram

          public com.codahale.metrics.Histogram registerHistogram(String name)

    - #### registerHistogram

          public com.codahale.metrics.Histogram registerHistogram(String name,
                                                                  com.codahale.metrics.Reservoir reservoir)

    - #### registerGauge

          public <V> com.codahale.metrics.Gauge<V> registerGauge(String name,
                                                                 com.codahale.metrics.Gauge<V> gauge)

    - #### registerAll

          public void registerAll(com.codahale.metrics.MetricSet metrics)

    - #### removeAll

          public void removeAll(com.codahale.metrics.MetricSet metrics)

    - #### getMeter

          public com.codahale.metrics.Meter getMeter(String meterName)

    - #### startMetricsReporters

          public void startMetricsReporters(Map<String,Object> daemonConf)

    - #### stopMetricsReporters

          public void stopMetricsReporters()

Copyright © 2021 The Apache Software Foundation. All rights reserved.